<template>
  <div>
    <router-view @success="handleSuccess" :hasForgetPassword="false"></router-view>
  </div>
</template>

<script>
import Cookies from 'js-cookie'
export default {
  methods: {
    handleSuccess(response) {
      const { url } = webConf.others.wmp
      window.location.href = url
    }
  },
  created() {
    if (this.$i18n.locale !== 'en') {
      Cookies.set('lang', 'en', { expires: 30, domain: '.ezijing.com' })
      this.$i18n.locale = 'en'
      this.$router.go(0)
    }
  }
}
</script>

<style lang="scss" scoped>
.new-user {
  font-size: 16px;
  font-weight: bold;
  color: rgba(255, 158, 100, 1);
  text-align: center;
  padding-top: 30px;
  text-decoration: underline;
}
</style>
